org.artoolkitx.arx.arxj.rendering.shader_impl

## Class Cube

- java.lang.Object
- - org.artoolkitx.arx.arxj.rendering.shader_impl.Cube

- All Implemented Interfaces:
    ARDrawable

      public final class Cube
      extends java.lang.Object
      implements ARDrawable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cube()`
    `Cube(float size)`
    `Cube(float size, float x, float y, float z)`
    `Cube(ShaderProgram shaderProgram)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(float[] projectionMatrix, float[] modelViewMatrix)`
    `java.nio.FloatBuffer` | `getmColorBuffer()`
    `java.nio.ByteBuffer` | `getmIndexBuffer()`
    `java.nio.FloatBuffer` | `getmVertexBuffer()`
    `void` | `setShaderProgram(ShaderProgram shaderProgram)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cube

          public Cube()

    - #### Cube

          public Cube(ShaderProgram shaderProgram)

    - #### Cube

          public Cube(float size)

    - #### Cube

          public Cube(float size,
                      float x,
                      float y,
                      float z)

  - ### Method Detail

    - #### getmVertexBuffer

          public java.nio.FloatBuffer getmVertexBuffer()

    - #### getmColorBuffer

          public java.nio.FloatBuffer getmColorBuffer()

    - #### getmIndexBuffer

          public java.nio.ByteBuffer getmIndexBuffer()

    - #### draw

          public void draw(float[] projectionMatrix,
                           float[] modelViewMatrix)

      Specified by:
        `draw` in interface `ARDrawable`

    - #### setShaderProgram

          public void setShaderProgram(ShaderProgram shaderProgram)

      Specified by:
        `setShaderProgram` in interface `ARDrawable`